Package twisted :: Package mail :: Module mail :: Class FileMonitoringService

[frames | no frames]

## Class FileMonitoringService

             Service --+
                       |
    _VolatileDataService --+
                           |
                TimerService --+
                               |
                              FileMonitoringService

Method Summary
| `__init__(self)`
| `_monitor(self)`
| `_setupMonitor(self)`
| `monitorFile(self, name, callback, interval)`
| `startService(self)`
| `stopService(self)`
| `unmonitorFile(self, name)`
Inherited from TimerService
| ``_cleanupLoop`(self, result)`
| ``_startLoop`(self, step)`
Inherited from _VolatileDataService
| ``__getstate__`(self)`
Inherited from Service
| ``disownServiceParent`(self)`
| ``privilegedStartService`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
Inherited from TimerService
`list` | `volatile` = `['_call']`
Inherited from Service
`tuple` | `__implements__` = `(<class twisted.application.service.ISe...`
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Generated by Epydoc 2.0 on Sat May 15 20:08:17 2004 | http://epydoc.sf.net